1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.
  2. Sign up for news, events and more!

    You're currently visiting the official DarkRP Forums as a guest. Sign up now to participate in our community and we'll let you know when we have news.

When i enable mySQL it causes this error

Discussion in 'DarkRP Modding Questions & Help' started by WinRAR, Jun 15, 2019.

  1. WinRAR

    WinRAR New Member

    gamemodes/darkrp/gamemode/modules/base/sv_gamemode_functions.lua i have a database setup what am im doing wrong
     
  2. Communication

    Communication New Member

    Full error please.
     
  3. WinRAR

    WinRAR New Member

    ERROR] gamemodes/darkrp/gamemode/libraries/mysqlite/mysqlite.lua:135: Module not found!
    1. require - [C]:-1
    2. loadMySQLModule - gamemodes/darkrp/gamemode/libraries/mysqlite/mysqlite.lua:135
    3. unknown - gamemodes/darkrp/gamemode/libraries/mysqlite/mysqlite.lua:144
    4. include - [C]:-1
    5. unknown - gamemodes/darkrp/gamemode/init.lua:42


    [ERROR] gamemodes/darkrp/gamemode/modules/fadmin/fadmin/motd/sv_init.lua:14: attempt to index global 'MySQLite' (a nil value)
    1. unknown - gamemodes/darkrp/gamemode/modules/fadmin/fadmin/motd/sv_init.lua:14
    2. include - [C]:-1
    3. AddCSLuaFolder - gamemodes/darkrp/gamemode/modules/fadmin/sv_fadmin.lua:37
    4. unknown - gamemodes/darkrp/gamemode/modules/fadmin/sv_fadmin.lua:47
    5. include - [C]:-1
    6. unknown - gamemodes/darkrp/gamemode/init.lua:93

    ERROR] gamemodes/darkrp/gamemode/init.lua:112: attempt to index global 'MySQLite' (a nil value)
    1. unknown - gamemodes/darkrp/gamemode/init.lua:112
    this is from web console
    ERROR gamemodes/darkrp/gamemode/modules/base/sv_gamemode_functions.lua is from in game cosnole
     
  4. Communication

    Communication New Member

    1. Are you getting any errors before hand?
    2. Are you using the latest version of darkrp?
     
  5. WinRAR

    WinRAR New Member

    no there were no errors before hand and im pretty sure how would i check what version im using on darkrp
    --- Double Post Merged, Jun 15, 2019 ---
    im using this darkrp https://github.com/FPtje/DarkRP
     
    Last edited: Jun 16, 2019

Share This Page